» » » » DLE 10.3 ile birlikte meydana gelen Javascript hataları

DLE 10.3 ile birlikte meydana gelen Javascript hataları

MaRZoCHi
MaRZoCHi Kurucu 5-09-2014, 16:37
DLE 10.3 javascript hatası alanlar için.

JQuery güncellemesi nedeniyle, temalarda kullanılan bazı fonksiyonlar artık yok.
Başlıca kaldırılan fonksion/nesneler: $.browser, toggle, live
Daha çok, kullanılan toggle ve live nedeniyle hata alacaksınız. Çünkü bu iki fonksiyon görsellik açısından oldukça sık kullanılıyor.

Güncellemeden sonra sitenizde çalışan bazı kısımlar çalışmıyor ise yüksek ihtimalle bu nedendendir. JQuery kütühanesinin güncellenmesi güzel bir yenilik fakat çıkardığı sorunlar nedeniyle kullanıcılar için ekstra uğraş anlamına geliyor.

JQuery 1.9'dan 2.0'a nasıl güncelleme yapılır: jQuery Core 1.9 Upgrade Guide ( https://jquery.com/upgrade-guide/1.9/ )

Eğer temanızın javascript dosyalarında gerekli düzenlemeleri yapabilirseniz, sitenizde hata kalmayacaktır. Fakat biraz javascript bilgisi gerektirdiği için yine tüm kullanıcılara hitap etmeyen bir yöntemdir.

İkinci, alternatif olarak eski JQuery sürümü ile yenisi aynı anda kullanmaya devam edebilirsiniz.
JQuery Migrate plugini eski sürümler ve yeni sürümler arasındaki uyumsuzluk problemini kaldırıyor.

Örnek kullanım :
<script src="http://code.jquery.com/jquery-1.9.0.js"></script>
<script src="http://code.jquery.com/jquery-migrate-1.2.1.js"></script>


Bu koda göre temanızda {headers} tagından sonra eklemeniz gerekiyor. Örnek :
<head>
{headers}
<link rel="shortcut icon" href="{THEME}/images/favicon.ico" />
<link media="screen" href="{THEME}/style/styles.css" type="text/css" rel="stylesheet" />
<link media="screen" href="{THEME}/style/engine.css" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="{THEME}/js/libs.js"></script>
<script type="text/javascript" src="http://code.jquery.com/jquery-migrate-1.2.1.js"></script>
</head>


Burada eklenen kod satırı :
<script type="text/javascript" src="http://code.jquery.com/jquery-migrate-1.2.1.js"></script>


Eğer yine uyum sorunu yaşarsanız. Pluginin buradaki eski sürümlerini deneyebilirsiniz.

JQuery hataları hakkında yazılmış güzel bir yazı. ( Anlamak açısından faydalı olacaktır. )

Anlatım: Mehmet Hanoğlu
Site: dle.net.tr
Çözüldü İşleme Alındı Bekliyor Çözülemedi
Bilgilendirme
Yorum Ekleyebilmeniz için Sitemize Kayıt Olmanız Gerekmektedir.
3 730
MaRZoCHi 28 Eylül 2015 16:58
@SilverMan, düzeltildi.

--------------------
34
SilverMan 28 Eylül 2015 13:45
JQuery 1.9'dan 2.0'a nasıl güncelleme yapılır: jQuery Core 1.9 Upgrade Guide
buradaki link kırık.. düzeltir misiniz?
İSTATİSTİKLER